#!/usr/bin/gnuplot
# A Contrario 3D Point Alignment Detection Algorithm demo v0
# by Alvaro Gomez, Rafael Grompone von Gioi, Gregory Randall
# agomez@fing.edu.uy, grompone@gmail.com
# (based on example by Hagen Wierstorf)
#
# Plots the points and alignments and saves a png image
# This is the script used in the IPOL server that has gnuplot 4.6 (Dec 2017)

reset

# wxt
#set terminal wxt size 350,262 enhanced font 'Verdana,10' persist
#set terminal wxt size 800,600 enhanced font 'Verdana,10' persist

# png
# set terminal pngcairo size 350,262 enhanced font 'Verdana,10'
set terminal pngcairo size 800,600 enhanced font 'Verdana,10'
set output 'output.png'

# svg
#set terminal svg size 350,262 fname 'Verdana, Helvetica, Arial, sans-serif' \
#set terminal svg size 700,524 font 'Verdana,10'fname 'Verdana, Helvetica, Arial, sans-serif' \
#fsize '4'
#set output 'plot.svg'

# color definitions
set border linewidth 1.5
set style line 1 lc rgb '#0060ad' lt 1 lw 0.5 pt 7 ps 0.5  # --- blue points, blue line
set style line 2 lc rgb '#ad6000' lt 1 lw 1   pt 7 ps 0.5  # --- red points, red line
# TRANSPARENCY NOT WORKING ON GNUPLOT 4.6 OF IPOL SERVER
# set style line 3 lc rgb '#aacc6000' lt 1 lw 5   pt 7 ps 0.5  # --- red points, red line, bigger and transparent
# ALTERNATIVE - narrower line, no alpha is used
set style line 3 lc rgb '#cc6000' lt 1 lw 2   pt 7 ps 0.5  # --- red points, red line, bigger and transparent 
 
set style arrow 1 nohead ls 3
 
unset key

set tics scale 0.5
set ticslevel 0 #move zero of zaxis to the xy plane

set view equal xyz

splot 'points.txt' with points linestyle 1, \
      'output.txt' using 1:2:3:($4-$1):($5-$2):($6-$3) with vector arrowstyle 1, \
      'output.txt' using 1:2:3:(sprintf("logNFA=%.3f",$10)) with labels left
      



